SimpleMessageHandler
Keywords: uk.ac.ic.doc.automed.p2p.SimpleMessageHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p
Class SimpleMessageHandler

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.communication.AbstractRequestListener
          uk.ac.ic.doc.automed.p2p.SimpleMessageHandler

All Implemented Interfaces:
  RequestListener

    public class SimpleMessageHandler

extends AbstractRequestListener

Constructor Summary
`SimpleMessageHandler()` Creates a new instance of SimpleMessageHandler

Method Summary
`byte[]` | `getResponseData()` Method to retrieve response data
`byte[]` | `handleRequest(byte[] dataReceived, ResponseHandler outputHandler)` Handle both TCP and UDP requests

Methods inherited from class uk.ac.ic.doc.automed.p2p.communication.AbstractRequestListener
`getRequestMessage, getType, handleRequest, handleRequest, handleRequest, handleUDPRequest, handleUDPRequest, handleUDPRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleMessageHandler

    public SimpleMessageHandler()

  Creates a new instance of SimpleMessageHandler

Method Detail

### handleRequest

    public byte[] handleRequest(byte[] dataReceived,
                                ResponseHandler outputHandler)
                         throws CommunicationException

  Description copied from class: `AbstractRequestListener`
  Handle both TCP and UDP requests

  Specified by:
    `handleRequest` in interface `RequestListener`
  Overrides:
    `handleRequest` in class `AbstractRequestListener`
  Throws:
    `CommunicationException`

### getResponseData

    public byte[] getResponseData()

  Description copied from class: `AbstractRequestListener`
  Method to retrieve response data

  Specified by:
    `getResponseData` in interface `RequestListener`
  Overrides:
    `getResponseData` in class `AbstractRequestListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD